Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 53051 - web-app wordpress 1.2-mingus released 2004-05-22
Summary: web-app wordpress 1.2-mingus released 2004-05-22
Status: RESOLVED DUPLICATE of bug 53563
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Web Application Packages Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-05 06:09 UTC by Lourdes Jones
Modified: 2005-07-17 13:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
required patch as well as email reference fix for wp-login (wordpress-1.2.gentoo.diff,22.17 KB, patch)
2004-06-05 06:13 UTC, Lourdes Jones
Details | Diff
1st try at an ebuild (wordpress-1.2.ebuild,1.92 KB, text/plain)
2004-06-05 06:13 UTC, Lourdes Jones
Details
2nd try at an ebuild, sorry about that :) (wordpress-1.2.ebuild,1.92 KB, text/plain)
2004-06-05 06:40 UTC, Lourdes Jones
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lourdes Jones 2004-06-05 06:09:37 UTC
Current version in portage is for 1.0.2 but the current release version is for 1.2 nicknamed mingus.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Lourdes Jones 2004-06-05 06:13:00 UTC
Created attachment 32701 [details, diff]
required patch as well as email reference fix for wp-login

patchfile similar to the one for 1.0.2 fixing email refrence and the required
includes
Comment 2 Lourdes Jones 2004-06-05 06:13:44 UTC
Created attachment 32702 [details]
1st try at an ebuild
Comment 3 Lourdes Jones 2004-06-05 06:40:23 UTC
Created attachment 32706 [details]
2nd try at an ebuild, sorry about that :)
Comment 4 Lourdes Jones 2004-06-05 06:50:59 UTC
Comment on attachment 32701 [details, diff]
required patch as well as email reference fix for wp-login

other than obvious path changes, the solutions to the following bug reports
were included (they were needed here).
http://wordpress.org/support/6/6189
http://wordpress.org/support/6/6486
http://wordpress.org/support/2/6212
apologies in advance for whitespace diffs but I'm too tired to go back and
verify correct function with those removed.

Minimal testing involved, it did allow me to upgrade a 1.0.2 installation.
Comment 5 Ira Snyder 2004-06-06 00:45:29 UTC
I just used it to upgrade my 1.0.2 installation.  I had to emerge unmerge my old wordpress first to get it to work though.  Once I did  this, I also had to remove /var/www/localhost/htdocs/wordpress also.

It is now working just fine though.  The "edit" page in the administrators panel (http://yoursite.com/wordpress/wp-admin/edit.php) also doesn't work.  It has a message at the bottom saying that wp-config.php doesn't exist.  All the other pages work fine though.

Thanks for the ebuild!
Comment 6 Stuart Herbert (RETIRED) gentoo-dev 2004-07-11 15:29:25 UTC

*** This bug has been marked as a duplicate of 53563 ***